package com.jh.memsource.settings;

import javax.transaction.Transactional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SettingsService {

	private SettingsRepository repo;
	
	
	@Transactional
	public Settings getSettings() {
		return repo.fetch();
	}
	
	
	@Transactional
	public void saveSettings(Settings settings) {
		repo.store(settings);
	}


	@Autowired
	public void setRepo(SettingsRepository repo) {
		this.repo = repo;
	}
	
	
}
